Bug 189173 - Dependencies not beeing met by yum
Dependencies not beeing met by yum
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-17 16:40 EDT by james968
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 16:27:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description james968 2006-04-17 16:40:21 EDT
Description of problem:
Several times I have had to manually go back and install packages to meet dependencies, which yum (or 
the installer have not fulfilled).  Mostly these are compat-lib rpms.

Version-Release number of selected component (if applicable):
Fedora Core 5
yum 2.6.0
vnc-server-4.1.1-36

How reproducible:
On a clean install, we've run into this problem.  With an install of vnc-server it appears to need compat-
libstdc++-296, but it does not resolve and install it. 

(This is one of the errors we were getting when trying to run programs. Some others were for packages 
needing libstdc-2.96 (or something like that)).

I'm not sure if this is a problem with yum in FC5 or just the dependencies were not defined correctly in 
RPM.  

Steps to Reproduce:
1. Did a clean install of FC5
2. Attempted to run various programs
3. The errors would be something similar to:
error while loading shared libraries: libstdc++-libc6.1-1.so.2:
  
Actual results:


Expected results:
Programs would run

Additional info:
Comment 1 Jeremy Katz 2006-04-19 16:48:21 EDT
vnc-server doens't require the compat bits, it just uses the stock libstdc++. 
Can you provide the output of rpm -qi vnc-server and rpm -V vnc-server?
Comment 2 james968 2006-04-19 17:10:32 EDT
>rpm -qi vnc-server
Name        : vnc-server                   Relocations: (not relocatable)
Version     : 4.1.1                             Vendor: Red Hat, Inc.
Release     : 36                            Build Date: Wed 01 Mar 2006 07:28:09 AM CST
Install Date: Mon 10 Apr 2006 03:27:14 PM CDT      Build Host: hs20-bc1-2.build.redhat.com
Group       : User Interface/X              Source RPM: vnc-4.1.1-36.src.rpm
Size        : 2637224                          License: GPL
Signature   : DSA/SHA1, Mon 06 Mar 2006 02:47:23 PM CST, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.realvnc.com
Summary     : A VNC server.
Description :
The VNC system allows you to access the same desktop from a wide
variety of platforms.  This package is a VNC server, allowing others
to access the desktop on your machine.


[minerva/~]->sudo rpm -V vnc-server
Password:
[minerva/~]->
Comment 3 james968 2006-04-19 17:22:09 EDT
My libraries I have installed and the packages which they came __FROM__:

/usr/lib/libstdc++-20060203.so.7.0.0 __FROM__ libstdc++so7-4.2.0-0.3.20060203.2
/usr/lib/libstdc++-2-libc6.1-1-2.9.0.so __FROM__ compat-libstdc++-296-2.96-135
/usr/lib/libstdc++-3-libc6.2-2-2.10.0.so __FROM__ compat-libstdc++-296-2.96-135
/usr/lib/libstdc++.so.5.0.7 __FROM__ compat-libstdc++-33-3.2.3-55.fc5
/usr/lib/libstdc++.so.6.0.8 __FROM__ libstdc++-4.1.0-3

The specific error was asking for libstdc++-libc6.1-1.so.2.  It looks like the 2 'non compat' RPMs provided 
6.0.8 and 7.0.0, but not a 6.1 version.
Comment 4 Jeremy Katz 2006-04-19 17:52:22 EDT
I don't have any compat packages on my workstation and vnc is working fine --
can you run vnc to get the exact error and also then run 'which vnc' to ensure
that you're getting the version from the package and not something from
somewhere else in your path?
Comment 5 james968 2006-04-25 10:18:49 EDT
From the user:

>On Minerva, the vncviewer command gives the following error:
 >vncviewer: error while loading shared libraries: libstdc++-libc6.1-1.so.2:
 >cannot open shared object file: No such file or directory
 
I need to check with the user, which binary they were using.
Comment 6 Jeremy Katz 2006-09-18 16:27:55 EDT
Closing due to inactivity

Note You need to log in before you can comment on or make changes to this bug.